# Type alias EventAnyListener<TEventArgs>

EventAnyListener<TEventArgs>: ((eventName, eventData) => Promisable<void>)

#### Type Parameters

- #### TEventArgs extends EventArgs = EventArgs

#### Type declaration

- - (eventName, eventData): Promisable<void>

  - #### Parameters

    - ##### eventName: EventName

    - ##### eventData: TEventArgs

    #### Returns Promisable<void>

- Defined in modules/packages/module/packages/events/dist/types/model/Event.d.ts:8

Generated using TypeDoc